import org.exolab.castor.xml.*;
import java.io.*;
public class CastorTest{
	public static void main(String[] args){
		// Lets make our object model. First the pieces
		Customer myCust = new Customer();
		FirstName myFN = new FirstName();
		myFN.setText("Fred");
		MI myMI = new MI();
		myMI.setText("B");
		LastName myLN = new LastName();
		myLN.setText("Scerbo");

		// Now, structure them
		myCust.setID("fbs0001");
		myCust.setFirstName(myFN);
		myCust.setMI(myMI);
		myCust.setLastName(myLN);

		// Now, "marshal" them into an XML structure of
		// Castor's choosing

		try {
			// A stream to write the XML into
			FileWriter out = new FileWriter("customer.xml");
			// One method call!  Thats it!
			Marshaller.marshal(myCust, out);
			out.close();	
		} catch(Exception e) {
			System.out.println("Exception: "+e.getMessage());
		}
	}
}
